<?xml version="1.0" encoding="UTF-8"?>
<theme>
	<include> <!-- 包含表 -->
		<include src="commstyle.xml" />
	</include>

	<string> <!-- 字符串表 -->
	</string>
	
	<font> <!-- 字体表 -->
		<font name="font1" facename="微软雅黑" fontsize="12"  />
		<font name="font2" facename="微软雅黑" fontsize="16"  />
		<font name="login_checkbutton" facename="微软雅黑" fontsize="12" />
		<font name="font_window" facename="微软雅黑" bold="true"  fontsize="25" />
	</font>
	
	<color> <!-- 颜色表 -->
	</color>
	
	<image> <!-- 图像 -->
	</image>
	
	<cursor> <!-- 鼠标指针 -->
		<cursor name="hand" src="$IDC_HAND" />
	</cursor>
	
	<style> <!-- 样式表 -->
		<stylesheet name="frame"> <!-- 对话框背景 -->
			<color rgb="255,255,255" /> 
			<image src="src(resource/top2.png) npatch(3)" margin="0,0,0,54" /> 
			<image src="src(resource/loginwhite.png) npatch(4)" size="315,150" margin="0,70,0,0" align="xcenter" /> 
			<image src="src(resource/login_bottom.png) npatch(5)" height="54" align="bottom" />
			<windowregion shape="roundrect" roundsize="5,5" />
		</stylesheet>
		
		<stylesheet name="labelwite">
			<text textcolor="rgb(255,255,255)" height="36" textalign="ycenter" margin="10,0,0,0" font="#font_window" />
		</stylesheet>
		<stylesheet name="user">
			<image src="src(resource/login_ipt.png) npatch(4)"   />  
			<image src="src(resource/login_ic01.png)" size="18,16" margin="10,10,0,0" />
			<string state="unfocused | empty" text="帐号" font="facename(微软雅黑) fontsize(14)" textcolor="rgb(64,64,64)" margin="40,6,0,0" textalign="ycenter" />
		</stylesheet>
		
		<stylesheet name="pass">
			<image src="src(resource/login_ipt.png) npatch(4)"   />  
			<image src="src(resource/login_ic02.png)" size="12,16" margin="10,10,0,0" />
			<string state="unfocused | empty" text="密码"  font="facename(微软雅黑) fontsize(14)"  textcolor="rgb(64,64,64)" margin="40,6,0,0"  textalign="ycenter" />
		</stylesheet>

		<stylesheet name="link">
			<text state="normal" textcolor="rgb(128,128,128)" textalign="xcenter | ycenter" />
			<text state="hover" textcolor="rgb(64,64,64)" textalign="xcenter | ycenter" />
			<text state="pushed" textcolor="rgb(64,64,64)" offset="1,1" textalign="xcenter | ycenter" />
			<focusrect state="focused" />
		</stylesheet>
		<!-- 按钮 样式-->
		<stylesheet name="login_checkbutton"> 
			<image state="normal" src="src(resource/login_tickoff.png) source(0,0,8,9)" size="8,9" align="ycenter" />
			<image state="hover" src="src(resource/login_tickoff.png) source(0,0,8,9)" size="8,9" align="ycenter" />
			<image state="pushed" src="src(resource/login_tickoff.png) source(8,0,9,9)" size="9,9" align="ycenter"/>
			
			<image state="checked" src="src(resource/login_tickoff.png) source(8,0,9,9)" size="9,9" align="ycenter" />
			
			<text state="normal" font="#login_checkbutton" textcolor="rgb(94,109,129)" margin="24,0,0,0" textalign="xcenter | ycenter" />
			<text state="hover" font="#login_checkbutton" textcolor="rgb(14,119,138)" margin="24,0,0,0" textalign="xcenter | ycenter" />
			<text state="pushed" font="#login_checkbutton" textcolor="rgb(50,58,69)" margin="24,0,0,0" textalign="xcenter | ycenter" />
			
		<!--	<focusrect state="focused" margin="16,3,3,3" /> 焦点框-->
		</stylesheet>
		<!-- 登录按钮样式-->
		<stylesheet name="style_button"> 
			<image state="nomarl" src="src(resource/button2.png) source(0,0,133,34) npatch(4)" />
			<image state="hover" src="src(resource/button2.png)  source(0,34,133,34) npatch(4)" />
			<image state="pushed" src="src(resource/button2.png) source(0,68,133,34) npatch(4)" />
			
			<text state="normal" font="#font2" textcolor="rgb(0,0,0)"  textalign="xcenter | ycenter" />
			<text state="hover" font="#font2" textcolor="rgb(0,0,0)"  textalign="xcenter | ycenter" />
			<text state="pushed" font="#font2" textcolor="rgb(0,0,0)" offset="1,1"  textalign="xcenter | ycenter" />
		</stylesheet>
		
		<stylesheet name="username">
			<image src="src(resource/userface.png) source(0,0,24,24)" size="24,24" />
			<text textcolor="rgb(30,108,225)" textalign="left | ycenter | endellipsis" font="#font1" margin="26,0,0,0" />
		</stylesheet>
	</style>
	
	<rootwidget text="登录" role="caption" size="338,288"  windowstyle="~border | ~sizable | ~minimizebox | ~maximizebox | center"   style="#frame"> 
		<button name="login_close" tooltip="关闭" style="#sysclose"  role="sysclose" size="40,28" align="right | top" skipfocus="true" />
		<label text="登  录" size="100,30" allgn="xcenter | ycenter" skipfocus="true" style="#labelwite"  margin="115,25,0,0" />
		<layout name="login" visible="true" margin="0,70,0,0">
			<vertlayout size="315,150" align="xcenter | top">
				<horzlayout height="45" margin="15,27">
					<edit name="edit_username" style="#user" font="#font1" size="222,33" padding="40,10" maxchar="20" />   
					<button name="button_register" tabindex="999" text="免费注册" style="#link" cursor="#hand" margin="18,0,0,0" width="50" height="13" align="ycenter" />
				</horzlayout>
				
				<horzlayout height="33" margin="15,0">
					<edit name="edit_password" style="#pass" font="#font1" passwordchar="●" size="222,33" padding="40,10" /> 
					<button name="button_forgotpw" tabindex="999" text="找回密码" style="#link" cursor="#hand" margin="18,5,0,0" width="50" height="13" align="ycenter" />
				</horzlayout>
				 
				<horzlayout>
					<checkbutton name="check_rempw" size="85,20" margin="15,15,0,5" style="#login_checkbutton" text="记住密码" />
					<checkbutton name="check_startafterlogon" size="114,20" margin="20,15,0,5" style="#login_checkbutton" text="登录后开始工作" />
				</horzlayout>
			</vertlayout>
			
			<horzlayout height="54" dock="bottom">
				<button name="button_login" style="#style_button" size="133,34" dock="top" text="登    录" margin="11,9" />
				<button name="button_anonymous" size="133,34" style="#style_button" dock="top" text="取    消" margin="55,9" />
			</horzlayout>
		</layout>
		<layout name="logging" visible="false" margin="0,70,0,0">
			<layout size="315,150" align="xcenter | top">
				<label name="label_username" text="username" size="200,24" style="#username" align="xcenter | ycenter" margin="0,-9,0,0" />
				<loadingctrl size="100,9" style="#loading" align="xcenter | ycenter" margin="0,24,0,0" />
			</layout>
			<layout height="54" dock="bottom">
				<button   name="button_cancel"   style="#style_button" size="133,34" dock="top" text="取  消" align="xcenter | ycenter" />
			</layout>
		</layout>
	</rootwidget>
</theme>